curl --request PUT \
--url 'https://api.sandbox.stateset.app/api/v1/secrets/{name}' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"value": "49.00",
"scope": "sandbox",
"allowed_sandbox_patterns": [
"string"
],
"expires_in_days": 1
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"scope": "string",
"allowed_sandbox_patterns": [
"string"
],
"expires_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Update a secret
Secret updated (the value is never returned)
PUT
/
api
/
v1
/
secrets
/
{name}
curl --request PUT \
--url 'https://api.sandbox.stateset.app/api/v1/secrets/{name}' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"value": "49.00",
"scope": "sandbox",
"allowed_sandbox_patterns": [
"string"
],
"expires_in_days": 1
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"scope": "string",
"allowed_sandbox_patterns": [
"string"
],
"expires_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Secret name
Request body
UpdateSecretRequest
string
string
string[]
integer
Response
object
string (uuid)
required
string
required
string
required
string[]
required
string (date-time)
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Secret updated (the value is never returned) |
404 | Secret not found |
curl --request PUT \
--url 'https://api.sandbox.stateset.app/api/v1/secrets/{name}' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"value": "49.00",
"scope": "sandbox",
"allowed_sandbox_patterns": [
"string"
],
"expires_in_days": 1
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"scope": "string",
"allowed_sandbox_patterns": [
"string"
],
"expires_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026